<div class="w-auto h-auto">
    <p-card>

        <div class="flex align-items-stretch flex-wrap card-container blue-container">
            <div class="flex align-items-center justify-content-center m-2 mt-0">
                <p-tag severity="info" styleclass="p-mr-2"><i class="fas fa-shipping-fast align-items-center" style="font-size:2rem"></i>
                    <p class="text-lg align-items-center m-2 font-bold"> REFER OUT</p>
                </p-tag>

              
            </div>
           

            <div class="flex align-items-center justify-content-center m-2">
                <mat-form-field color="accent" class="example-form-field" appearance="outline">
                    <mat-label>วันเริ่มต้น</mat-label>
                    <input matInput [matDatepicker]="picker1" [(ngModel)]="sdate" (click)="picker1.open()" (ngModelChange)="onDateSelected()">
                    <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                    <mat-datepicker #picker1></mat-datepicker>
                </mat-form-field>
            </div>
            <div class="flex align-items-center justify-content-center m-2">
                <mat-form-field color="accent" class="example-form-field" appearance="outline">
                    <mat-label>วันสิ้นสุด</mat-label>
                    <input matInput [matDatepicker]="picker2" [(ngModel)]="edate" (click)="picker2.open()" (ngModelChange)="onDateSelected()">
                    <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                    <mat-datepicker #picker2></mat-datepicker>
                </mat-form-field>
            </div>
            <div class="flex align-items-center justify-content-center m-2">
                <mat-form-field color="accent" class="example-form-field" appearance="outline">
                    <input name="cid" matInput [(ngModel)]="cid" placeholder="เลขบัตรประชาชน" (keyup)="valuechange($event)" onkeypress="if(this.value.length==13) return false;">
                </mat-form-field>
            </div>
            <div class="flex align-items-center justify-content-center m-2 mt-0">
                <button pButton type="button" [disabled]="!validateForm" class="button-success" (click)="onSearch()" icon="pi pi-search" label="ค้นหา"></button>

            </div>


            <div class="col">
                <div class="flex justify-content-end flex-wrap card-container green-container">
                    <div class="flex align-items-center justify-content-center m-2 mt-0">
                        <span class="input-icon-left">
                            <button pButton type="button" class="p-button-primary" (click)="onCreate()">Create ReferOut</button>
                        </span>
                    </div>

                </div>

            </div>

        </div>

        <div class="grid">
            <div class="col">

                <div class="flex align-items-stretch flex-wrap card-container green-container" style="height: 40px;">
                    <span class="flex align-items-center align-self-center mr-3 pl-3">
                        <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 resuscitate-pt">R</button>
                        Resuscitate</span>
                    <span class="flex align-items-center align-self-center mr-3 pl-3">
                        <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 emergency-pt">E</button>
                        Emergency </span>
                    <span class="flex align-items-center align-self-center mr-3 pl-3">
                        <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 urgency-pt">U</button>
                        Urgency </span>
                    <span class="flex align-items-center align-self-center mr-3 pl-3">
                        <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 semi-urgency-pt">S</button>
                        Semi Urgency </span>
                    <span class="flex align-items-center align-self-center mr-3 pl-3">
                        <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 none-urgency-pt">N</button>
                        None Urgency
                    </span>

                </div>
            </div>
            <div class="flex align-items-center justify-content-center m-2 mt-0 ml-auto p-2 bd-highlight">
                <!-- <span class="flex align-items-center align-self-center mr-3 pl-3 ml-auto p-2 bd-highlight" > -->
                <p-inputSwitch (onChange)="onCheckedAppoint(checked1)" [(ngModel)]="checked1"> </p-inputSwitch>&nbsp;
                {{strChecked1}}
                <!-- </span> -->
            </div>
        </div>

        <p-table #dt id="dt" [value]="rowsData" [(selection)]="selectedRowsData" dataKey="id" responsiveLayout="scroll" styleClass="p-datatable-gridlines"
            [rowHover]="true" [rows]="100" [showCurrentPageReport]="true" [rowsPerPageOptions]="[10,25,50,100]" [loading]="loading"
            [paginator]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
            [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname','refer_no','cid']"
            paginatorPosition="bottom" scrollHeight="{{scrollHeight}}"
            [virtualRowHeight]="6" frozenColumns="10" selectionMode="single" dblClickSelect="false" (onRowSelect)="onRowSelect($event)">
            <ng-template pTemplate="caption">
                <div class="table-header">
                    <div class="grid">
                        <div class="col">
                            <div class="flex justify-content-start">
                                <span class="text-center justify-content-center pt-2">รายการที่ส่งต่อ</span>
                            </div>
                        </div>
                        <div class="col">
                            <div class="flex justify-content-end">
                                <span class="p-input-icon-right">
                                    <i class="pi pi-search"></i>
                                    <input pInputText class="p-inputtext-sm" type="text" (input)="dt.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
                                </span>
                                &nbsp;<button type="button" styleClass="p-button-lg" pButton pRipple icon="pi pi-file-excel" (click)="exportExcel()" class="p-button-success mr-2 p-1" pTooltip="XLS" tooltipPosition="bottom"></button>
                            </div>
                        </div>

                    </div>

                </div>
            </ng-template>

            <ng-template pTemplate="header">
                <tr>
                    <th class="text-center justify-content-center p-1" colspan="5">การนำส่ง</th>
                    <th class="text-center justify-content-center p-1" colspan="3">ผู้ป่วย</th>
                    <th class="text-center justify-content-center p-1" colspan="3">ใบส่งตัว</th>
                    <th class="text-center justify-content-center p-1">สถานบริการ</th>
                    <th class="text-center justify-content-center p-1" colspan="5">การลงรับ</th>
                </tr>
                <tr>

                    <th class="text-center justify-content-center p-1"></th>
                    <th class="text-center justify-content-center p-1">แนบ </th>
                    <th class="text-center justify-content-center p-1" pSortableColumn="attpath_appoint" #pFrozenColumn>ขอนัด <p-sortIcon field="attpath_appoint"></p-sortIcon></th>
                    <th class="text-center justify-content-center p-1" pSortableColumn="date" #pFrozenColumn>นำส่ง <p-sortIcon field="date"></p-sortIcon></th>
                    <th class="text-center justify-content-center p-1" pSortableColumn="date" #pFrozenColumn>ต่ออายุใบรีเฟอร์ <p-sortIcon field="date"></p-sortIcon></th>
                    <th class="text-center justify-content-center p-1 text-overflow-ellipsis" pSortableColumn="representative.name" #pFrozenColumn>ปลายทาง </th>
                    
                    <th class="text-center justify-content-center p-1" pSortableColumn="hn"><p-columnFilter type="text" field="hn" display="menu"></p-columnFilter>Hn <p-sortIcon></p-sortIcon></th>
                    <th class="text-center justify-content-center p-1" pSortableColumn="fullname" #pFrozenColumn><p-columnFilter type="text" field="fullname" display="menu"></p-columnFilter>ชื่อ <p-sortIcon field="fullname"></p-sortIcon></th>
                    <th class="text-center justify-content-center p-1" pSortableColumn="cid"><p-columnFilter type="text" field="cid" display="menu"></p-columnFilter>เลขบัตรประชาชน <p-sortIcon field="cid"></p-sortIcon></th>
                    <th class="text-center justify-content-center p-1" #pFrozenColumn>เลขที่ส่ง </th>
                    <th class="text-center justify-content-center p-1" pSortableColumn="refer_date" #pFrozenColumn>วันที่ส่ง <p-sortIcon field="refer_date"></p-sortIcon></th>
                    <!-- <th class="text-center justify-content-center p-1">เวลา </th> -->
                    <th class="text-center justify-content-center p-1 text-overflow-ellipsis">ปลายทาง </th>
                    <th class="text-center justify-content-center p-1">เลขที่รับ</th>
                    <th class="text-center justify-content-center p-1 white-space-normal" pSortableColumn="receive_spclty_name"><p-columnFilter type="text" field="receive_spclty_name" display="menu"></p-columnFilter>จุดรับ <p-sortIcon field="receive_spclty_name"></p-sortIcon></th>
                    <th class="text-center justify-content-center p-1" pSortableColumn="receive_date">วันที่่รับ <p-sortIcon field="receive_date"></p-sortIcon></th>
                    <!-- <th class="text-center justify-content-center p-1">เวลา </th> -->
                    <th class="text-center justify-content-center p-1">ยกเลิก</th>
                </tr>

            </ng-template>
            
            <ng-template pTemplate="body" let-rowsData>
                <tr class="p-selectable-row">
                    <td [pSelectableRow]="rowsData" #pFrozenColumn class="text-center justify-content-center p-1">
                        <button type="button" label="R" pTooltip="Resuscitate" class="p-button-rounded p-button-sm resuscitate-pt" *ngIf="rowsData.strength_id === '1'">R</button>
                        <button type="button" label="E" pTooltip="Emergency" class="p-button-rounded p-button-sm emergency-pt" *ngIf="rowsData.strength_id === '2'">E</button>
                        <button type="button" label="U" pTooltip="Urgency" class="p-button-rounded p-button-sm urgency-pt" *ngIf="rowsData.strength_id === '3'">U</button>
                        <button type="button" label="S" pTooltip="Semi Urgency" class="p-button-rounded p-button-sm semi-urgency-pt" *ngIf="rowsData.strength_id === '4'">S</button>
                        <button type="button" label="N" pTooltip="None Urgency" class="p-button-rounded p-button-sm none-urgency-pt" *ngIf="rowsData.strength_id === '5'">N</button>
                        <button type="button" label="U" pTooltip="Unstable patient" class="p-button-rounded p-button-sm resuscitate-pt" *ngIf="rowsData.refer_triage_id === '1'">U</button>
                        <button type="button" label="H" pTooltip="Stable with high risk of deterioration" class="p-button-rounded p-button-sm emergency-pt" *ngIf="rowsData.refer_triage_id === '2'">H</button>
                        <button type="button" label="M" pTooltip="Stable with medium risk of deterioration" class="p-button-rounded p-button-sm urgency-pt" *ngIf="rowsData.refer_triage_id === '3'">M</button>
                        <button type="button" label="L" pTooltip="Stable with low risk of deterioration" class="p-button-rounded p-button-sm semi-urgency-pt" *ngIf="rowsData.refer_triage_id === '4'">L</button>
                        <button type="button" label="N" pTooltip="Stable with no risk of deterloration" class="p-button-rounded p-button-sm none-urgency-pt" *ngIf="rowsData.refer_triage_id === '5'">N</button>
                    </td>
                    <td class="text-center justify-content-center p-1" #pFrozenColumn>
                        <span class="p-column-title">แนบ</span>
                        <div class="p-inputgroup">
                            <span class="p-inputgroup-addon" (click)="uploadsRoute(rowsData)">
                                <i class="pi pi-paperclip"></i>
                            </span>
                            <span class="p-inputgroup-addon" pTooltip="ใบนัด" [ngStyle]="{backgroundColor:'var(--green-400)'}" *ngIf="rowsData.attpath_appoint != null ">
                                <i class="pi pi-file-pdf" (click)="downloadAttRoute(rowsData.attpath_appoint)"></i></span>
                            <span class="p-inputgroup-addon" *ngIf="rowsData.attpath_appoint == null "><i class="pi pi-file-pdf"></i></span>
                        </div>
                    </td>
                    <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn>
                        <span class="p-column-title">ขอนัด</span>
                        <button pButton pRipple type="button" icon="fas fa-calendar-plus" class="p-button-rounded p-button-danger p-button-sm"  styleClass="pbuttonxsmall" pTooltip="ขอนัดด่วนภายใน 24 ชั่วโมง" *ngIf="rowsData.refer_appoint === '1'"></button>
                        <button pButton pRipple type="button" icon="fas fa-calendar-plus" class="p-button-rounded p-button-success p-button-sm"  styleClass="pbuttonxsmall" pTooltip="ขอนัดตามสะดวก" *ngIf="rowsData.refer_appoint === '2'"></button>
                        <button pButton pRipple type="button" icon="fas fa-calendar-plus" class="p-button-rounded p-button-warning p-button-sm"  styleClass="pbuttonxsmall" pTooltip="มีนัดแล้วแต่ขอใบรีเฟอร์ต่อเนื่อง" *ngIf="rowsData.refer_appoint === '3'"></button>
                        <button pButton pRipple type="button" icon="fas fa-calendar-plus" class="p-button-rounded p-button-help p-button-sm"  styleClass="pbuttonxsmall" pTooltip="ขอนัด CAG" *ngIf="rowsData.refer_appoint === '4'"></button>
                    </td>
                    <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn>
                        <span class="p-column-title">นำส่ง</span>
                        <button pButton pRipple type="button" icon="fas fa-ambulance fa-lg" class="p-button-rounded p-button-success" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '1'"></button>
                        <button pButton pRipple type="button" icon="fas fa-female fa-lg" class="p-button-rounded p-button-danger" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '2'"></button>
                        <button pButton pRipple type="button" icon="fas fa-user fa-lg" class="p-button-rounded p-button-warning" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '3'"></button>
                        <button pButton pRipple type="button" icon="fas fa-car fa-lg" class="p-button-rounded p-button-help" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '4'"></button>
                        <button pButton pRipple type="button" icon="fas fa-truck-moving" class="p-button-rounded p-button-secondary" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '5'"></button>
                        <button pButton pRipple type="button" icon="fas fa-shipping-fast" class="p-button-rounded p-button-plain" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '6'"></button>

                    </td>
                    <td class="text-center justify-content-center p-1" #pFrozenColumn>
                        <span class="p-column-title">ต่ออายุใบรีเฟอร์</span>
                        <button pButton pRipple type="button" icon="fas fa-file fa-lg" class="p-button-rounded p-button-success" pTooltip="ต่ออายุใบรีเฟอร์" (click)="showDialog(rowsData.refer_no)"></button>
                        <p-dialog header="ต่ออายุใบรีเฟอร์" [(visible)]="visible" [style]="{width: '30vw'}">
                            <p>
                                <button pButton type="button" class="p-button-primary" (click)="onRenewReferToday(referout_i.refer_no)">ต่ออายุเฉพาะวันนี้</button> &nbsp;
                                <button pButton type="button" class="p-button-primary" (click)="onRenewRefer1Year(referout_i.refer_no)">ต่ออายุ 1 ปี</button>
                            </p>
                        </p-dialog>
                    </td>
                    <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1 white-space-normal" #pFrozenColumn>
                        <span class="p-column-title">ปลายทาง</span>
                        <span class="image-text justify-content-center white-space-normal">{{rowsData.location_refer_name}}</span>
                    </td>
                    
                    <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn>
                        <span class="p-column-title">HN</span>
                        {{rowsData.hn}}
                    </td>
                    <td [pSelectableRow]="rowsData" #pFrozenColumn class="p-1">
                        <span class="p-column-title">ชื่อ</span>
                        {{rowsData.fullname}}
                    </td>
                    <td  [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                        <span class="p-column-title">เลขบัตรประชาชน</span>
                        {{rowsData.cid}}
                    </td>
                    <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1 white-space-normal" #pFrozenColumn>
                        <span class="p-column-title white-space-normal">เลขที่ส่ง</span>
                        {{rowsData.refer_no}}
                    </td>
                    <td [pSelectableRow]="rowsData" class="p-1 text-center justify-content-center p-1 white-space-normal" #pFrozenColumn>
                        <span class="p-column-title">วันที่ส่ง</span>
                        {{rowsData.refer_date | thaidate:'short'}} &nbsp; {{rowsData.refer_time | slice:0:5}}
                    </td>
                    <!-- <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn>
                        <span class="p-column-title">เวลา</span>
                        
                    </td> -->
                    <td [pSelectableRow]="rowsData" class="p-1 white-space-normal">
                        <span class="p-column-title">สถานบริการปลายทาง</span>
                        {{rowsData.refer_hospname}}
                    </td>
                    <td  [pSelectableRow]="rowsData" class="text-center justify-content-center" [pSelectableRow]="rowsData" style='background-color: red;color:white;' class="p-1 text-overflow-ellipsis" *ngIf="rowsData.receive_refer_result_id == '2'">
                        <span class="p-column-title">เลขที่รับ</span>
                        <span *ngIf="rowsData.receive_refer_result_id == '2'" class="white-space-normal">{{rowsData.refer_result_name}} </span>
                    </td>
                    <td  [pSelectableRow]="rowsData" class="text-center justify-content-center text-overflow-ellipsis" [pSelectableRow]="rowsData" class="p-1" *ngIf="rowsData.receive_refer_result_id != '2'">
                        <span class="p-column-title">เลขที่รับ</span>
                        <span *ngIf="rowsData.receive_no != '0'" class="text-center justify-content-center white-space-normal ">{{rowsData.receive_no}}</span>
                    </td>
                    <td  [pSelectableRow]="rowsData" class="p-1 pl-2 pr-2 justify-content-center white-space-normal">
                        <span class="p-column-title white-space-normal">จุดที่รับ</span>
                        {{rowsData.receive_spclty_name}}&nbsp;
                        <i class="pi pi-align-justify" style="font-size:20px; color:green" (click)="onClickSssess(rowsData)" *ngIf="rowsData.eva == 'eva'"></i>
                    </td>
                    <td [pSelectableRow]="rowsData" class="p-1 text-center justify-content-center p-1 white-space-normal">
                        <span class="p-column-title">วันที่รับ</span>
                        <span *ngIf="rowsData.receive_date != 'Invalid date' && rowsData.receive_date != ''">{{rowsData.receive_date | thaidate:'short'}} </span><span *ngIf="rowsData.receive_time != '00:00:00'">{{rowsData.receive_time | slice:0:5}} </span>
                    </td>
                    <!-- <td [pSelectableRow]="rowsData" class="p-1 text-center justify-content-center p-1 white-space-normal">
                        <span class="p-column-title">เวลารับ</span>
                        
                    </td> -->
                    <td class="text-center justify-content-center p-1">
                        <span class="p-column-title">ยกเลิก</span>
                        <!-- <button pButton pRipple type="button" icon="pi pi-trash-plus" ></button> -->
                        <span class="p-inputgroup-addon" pTooltip="ยกเลิกรีเฟอร์" *ngIf="rowsData.receive_no === '0' || rowsData.receive_refer_result_id === '2' || rowsData.refer_appoint === '3'"><i class="pi pi-trash" style="line-height: 1.25;color:red" (click)="deleteReferOut(rowsData.refer_no)"></i></span>
                        <!-- <button pButton type="button" class="p-button-secondary" icon="pi pi-cog"></button> -->
                    </td>
                </tr>
            </ng-template>
            <ng-template pTemplate="emptymessage">
                <tr>
                    <td colspan="17">ไม่พบรายการ..</td>
                </tr>
            </ng-template>
        </p-table>


    </p-card>

</div>

<!-- <p-table #dtTemp id="dtTemp" [value]="rowsData" [hidden]="true">
    <ng-template pTemplate="caption">
        <div class="table-header">
            <div class="grid">
                <div class="col">
                    <div class="flex justify-content-start">
                        <span class="text-center justify-content-center pt-2">รายการที่ส่งต่อ</span>
                    </div>
                </div>
                <div class="col">
                    <div class="flex justify-content-end">
                        <span class="p-input-icon-right">
                            <i class="pi pi-search"></i>
                            <input pInputText class="p-inputtext-sm" type="text" (input)="dt.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
                        </span>
                        &nbsp;<button type="button" styleClass="p-button-lg" pButton pRipple icon="pi pi-file-excel" (click)="exportExcel3()" class="p-button-success mr-2 p-1" pTooltip="XLS" tooltipPosition="bottom"></button>
                    </div>
                </div>

            </div>

        </div>
    </ng-template>

    <ng-template pTemplate="header">
        <tr>
            <th class="text-center justify-content-center p-1" colspan="5" #pFrozenColumn style='flex: 0 0 480px;'>การนำส่ง</th>
            <th class="text-center justify-content-center p-1" colspan="3" #pFrozenColumn style='flex: 0 0 470px;'>ผู้ป่วย</th>
            <th class="text-center justify-content-center p-1" colspan="3" #pFrozenColumn style='flex: 0 0 320px;'>ใบส่งตัว</th>
            <th class="text-center justify-content-center p-1" style='flex: 0 0 150px;'>สถานบริการ</th>
            <th class="text-center justify-content-center p-1" colspan="5" style='flex: 0 0 550px;'>การลงรับ</th>
        </tr>
        <tr>
            <th class="text-center justify-content-center p-1" style='flex: 0 0 90px;'></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="name" #pFrozenColumn style='flex: 0 0 110px;'>แนบ <p-sortIcon field="name"></p-sortIcon></th>
            <th class="text-center p-1" pSortableColumn="attpath_appoint" #pFrozenColumn style='flex: 0 0 80px;'>ขอนัด <p-sortIcon field="attpath_appoint"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="representative.name" #pFrozenColumn style='flex: 0 0 120px;'><p-columnFilter type="text" field="name" display="menu"></p-columnFilter>ปลายทาง <p-sortIcon field="name"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="date" #pFrozenColumn style='flex: 0 0 80px;'>นำส่ง <p-sortIcon field="date"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="hn" style='flex: 0 0 150px;'><p-columnFilter type="text" field="hn" display="menu"></p-columnFilter>Hn <p-sortIcon></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="status" #pFrozenColumn style='flex: 0 0 200px;'> <p-columnFilter type="text" field="fullname" display="menu"></p-columnFilter>ชื่อ <p-sortIcon field="name"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="cid" style='flex: 0 0 120px;'>เลขบัตรประชาชน <p-sortIcon field="cid"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="status" #pFrozenColumn style='flex: 0 0 120px;'>เลขที่ส่ง <p-sortIcon field="status"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="status" #pFrozenColumn style='flex: 0 0 100px;'>วันที่ส่ง <p-sortIcon field="status"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="status" #pFrozenColumn style='flex: 0 0 100px;'>เวลา <p-sortIcon field="status"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="status" style='flex: 0 0 150px;'>ปลายทาง <p-sortIcon field="status"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="status" style='flex: 0 0 150px;'>เลขที่รับ <p-sortIcon field="status"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="status" style='flex: 0 0 100px;'><p-columnFilter type="text" field="name" display="menu"></p-columnFilter>จุดรับ <p-sortIcon field="status"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="activity" style='flex: 0 0 100px;'>วันที่่รับ <p-sortIcon field="activity"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="activity" style='flex: 0 0 100px;'>เวลา <p-sortIcon field="activity"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" style='flex: 0 0 100px;'>ยกเลิก</th>
        </tr>

    </ng-template>
    <ng-template pTemplate="body" let-rowsData>
        <tr class="p-selectable-row">
            <td [pSelectableRow]="rowsData" #pFrozenColumn style='flex: 0 0 90px;' class="p-1">
                <button type="button" label="R" pTooltip="Resuscitate" class="p-button-rounded p-button-sm resuscitate-pt" *ngIf="rowsData.strength_id === '1'">R</button>
                <button type="button" label="E" pTooltip="Emergency" class="p-button-rounded p-button-sm emergency-pt" *ngIf="rowsData.strength_id === '2'">E</button>
                <button type="button" label="U" pTooltip="Urgency" class="p-button-rounded p-button-sm urgency-pt" *ngIf="rowsData.strength_id === '3'">U</button>
                <button type="button" label="S" pTooltip="Semi Urgency" class="p-button-rounded p-button-sm semi-urgency-pt" *ngIf="rowsData.strength_id === '4'">S</button>
                <button type="button" label="N" pTooltip="None Urgency" class="p-button-rounded p-button-sm none-urgency-pt" *ngIf="rowsData.strength_id === '5'">N</button>
                <button type="button" label="U" pTooltip="Unstable patient" class="p-button-rounded p-button-sm resuscitate-pt" *ngIf="rowsData.refer_triage_id === '1'">U</button>
                <button type="button" label="H" pTooltip="Stable with high risk of deterioration" class="p-button-rounded p-button-sm emergency-pt" *ngIf="rowsData.refer_triage_id === '2'">H</button>
                <button type="button" label="M" pTooltip="Stable with medium risk of deterioration" class="p-button-rounded p-button-sm urgency-pt" *ngIf="rowsData.refer_triage_id === '3'">M</button>
                <button type="button" label="L" pTooltip="Stable with low risk of deterioration" class="p-button-rounded p-button-sm semi-urgency-pt" *ngIf="rowsData.refer_triage_id === '4'">L</button>
                <button type="button" label="N" pTooltip="Stable with no risk of deterloration" class="p-button-rounded p-button-sm none-urgency-pt" *ngIf="rowsData.refer_triage_id === '5'">N</button>
            </td>
            <td class="text-center justify-content-center p-1" #pFrozenColumn style='flex: 0 0 110px;'>
                <span class="p-column-title">แนบ</span>
                <div class="p-inputgroup">
                    <span class="p-inputgroup-addon" (click)="uploadsRoute(rowsData)">
                        <i class="pi pi-paperclip"></i>
                    </span>
                    <span class="p-inputgroup-addon" pTooltip="ใบนัด" [ngStyle]="{backgroundColor:'var(--green-400)'}" *ngIf="rowsData.attpath_appoint != null ">
                        <i class="pi pi-file-pdf" (click)="downloadAttRoute(rowsData.attpath_appoint)"></i></span>
                    <span class="p-inputgroup-addon" *ngIf="rowsData.attpath_appoint == null "><i class="pi pi-file-pdf"></i></span>
                </div>
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn style='flex: 0 0 80px;'>
                <span class="p-column-title">ขอนัด</span>
                <button pButton pRipple type="button" icon="pi pi-calendar-plus" class="p-button-rounded p-button-danger p-button-sm" pTooltip="ขอนัดด่วนภายใน 24 ชั่วโมง" *ngIf="rowsData.refer_appoint === '1'"></button>
                <button pButton pRipple type="button" icon="pi pi-calendar-plus" class="p-button-rounded p-button-success p-button-sm" pTooltip="ขอนัดตามสะดวก" *ngIf="rowsData.refer_appoint === '2'"></button>
                <button pButton pRipple type="button" icon="pi pi-calendar-plus" class="p-button-rounded p-button-warning p-button-sm" pTooltip="มีนัดแล้วแต่ขอใบรีเฟอร์ต่อเนื่อง" *ngIf="rowsData.refer_appoint === '3'"></button>
                <button pButton pRipple type="button" icon="pi pi-calendar-plus" class="p-button-rounded p-button-help p-button-sm" pTooltip="ขอนัด CAG" *ngIf="rowsData.refer_appoint === '4'"></button>
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn style='flex: 0 0 120px;'>
                <span class="p-column-title">ปลายทาง</span>
                <span class="image-text">{{rowsData.location_refer_name}}</span>
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn style='flex: 0 0 80px;'>
                <span class="p-column-title">นำส่ง</span>
                <button pButton pRipple type="button" icon="fas fa-ambulance fa-lg" class="p-button-rounded p-button-success" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '1'"></button>
                <button pButton pRipple type="button" icon="fas fa-female fa-lg" class="p-button-rounded p-button-danger" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '2'"></button>
                <button pButton pRipple type="button" icon="fas fa-user fa-lg" class="p-button-rounded p-button-warning" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '3'"></button>
                <button pButton pRipple type="button" icon="fas fa-car fa-lg" class="p-button-rounded p-button-help" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '4'"></button>
                <button pButton pRipple type="button" icon="fas fa-truck-moving" class="p-button-rounded p-button-secondary" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '5'"></button>
                <button pButton pRipple type="button" icon="fas fa-shipping-fast" class="p-button-rounded p-button-plain" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '6'"></button>

            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn style='flex: 0 0 150px;'>
                <span class="p-column-title">HN</span>
                {{rowsData.hn}}
            </td>
            <td [pSelectableRow]="rowsData" #pFrozenColumn style='flex: 0 0 200px;' class="p-1">
                <span class="p-column-title">ชื่อ</span>
                {{rowsData.fullname}}
            </td>
            <td class="text-center justify-content-center p-1" style='flex: 0 0 120px;'>
                <span class="p-column-title">เลขบัตรประชาชน</span>
                {{rowsData.cid}}
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn style='flex: 0 0 120px;'>
                <span class="p-column-title">เลขที่ส่ง</span>
                {{rowsData.refer_no}}
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn style='flex: 0 0 100px;'>
                <span class="p-column-title">วันที่ส่ง</span>
                {{rowsData.refer_date | thaidate:'short'}}
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" #pFrozenColumn style='flex: 0 0 100px;'>
                <span class="p-column-title">เวลา</span>
                {{rowsData.refer_time}}
            </td>
            <td [pSelectableRow]="rowsData" style='flex: 0 0 150px;' class="p-1 white-space-normal">
                <span class="p-column-title">สถานบริการปลายทาง</span>
                {{rowsData.refer_hospname}}
            </td>
            <td [pSelectableRow]="rowsData" style='flex: 0 0 150px; background-color: red;color:white;' class="p-1" *ngIf="rowsData.receive_refer_result_id == '2'">
                <span class="p-column-title">เลขที่รับ</span>
                <span *ngIf="rowsData.receive_refer_result_id == '2'">{{rowsData.refer_result_name}} </span>
            </td>
            <td [pSelectableRow]="rowsData" style='flex: 0 0 150px;' class="p-1" *ngIf="rowsData.receive_refer_result_id != '2'">
                <span class="p-column-title">เลขที่รับ</span>
                <span *ngIf="rowsData.receive_no != '0'">{{rowsData.receive_no}}</span>
            </td>
            <td style='flex: 0 0 100px;' class="p-1">
                <span class="p-column-title">จุดที่รับ</span>
                {{rowsData.receive_spclty_name}}&nbsp;
                <i class="pi pi-align-justify" style="font-size:20px; color:green" (click)="onClickSssess(rowsData)" *ngIf="rowsData.eva == 'eva'"></i>
            </td>
            <td [pSelectableRow]="rowsData" style='flex: 0 0 100px;' class="p-1">
                <span class="p-column-title" s>วันที่รับ</span>
                <span *ngIf="rowsData.receive_date != 'Invalid date'">{{rowsData.receive_date | thaidate:'short'}} </span>
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1" style='flex: 0 0 100px;'>
                <span class="p-column-title">เวลารับ</span>
                <span *ngIf="rowsData.receive_time != '00:00:00'">{{rowsData.receive_time}} </span>
            </td>
            <td class="text-center justify-content-center p-1" style='flex: 0 0 100px;'>
                <span class="p-column-title">ยกเลิก</span>
                <span class="p-inputgroup-addon" pTooltip="ยกเลิกรีเฟอร์" *ngIf="rowsData.receive_no === '0' || rowsData.receive_refer_result_id === '2' || rowsData.refer_appoint === '3'"><i class="pi pi-trash" style="line-height: 1.25;color:red" (click)="deleteReferOut(rowsData.refer_no)"></i></span>
            </td>
        </tr>
    </ng-template>
    <ng-template pTemplate="emptymessage">
        <tr>
            <td colspan="16">ไม่พบรายการ..</td>
        </tr>
    </ng-template>
</p-table> -->